'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _requireAll = require('require-all');

var _requireAll2 = _interopRequireDefault(_requireAll);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 递归添加路由配置
 * @param {object} app
 * @param {object} modules
 */
function appendRoutes(app, modules) {
  Object.keys(modules).forEach(key => {
    const module = modules[key];
    if (module.default && (0, _lodash.isFunction)(module.default.routes)) {
      app.use(module.default.routes());
    } else if ((0, _lodash.isObject)(module)) {
      appendRoutes(app, module);
    }
  });
}

exports.default = (app, dirname) => {
  appendRoutes(app, (0, _requireAll2.default)({
    dirname,
    recursive: true
  }));
};