'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.timing = exports.gauge = exports.increment = undefined;

var _os = require('os');

var _statsdClient = require('statsd-client');

var _statsdClient2 = _interopRequireDefault(_statsdClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { WATCHER_ENABLE, WATCHER_HOST, WATCHER_PORT, WATCHER_PREFIX } = process.env;
const name = (0, _os.hostname)().split('.')[0] || 'default';

const sdc = new _statsdClient2.default({
  host: WATCHER_HOST,
  port: WATCHER_PORT,
  prefix: WATCHER_PREFIX
});

const increment = exports.increment = (key, count) => {
  if (WATCHER_ENABLE === 'true') {
    sdc.increment(`${key}.${name}`, count);
  }
};

const gauge = exports.gauge = (key, count) => {
  if (WATCHER_ENABLE === 'true') {
    sdc.gauge(`${key}.${name}`, count);
  }
};

const timing = exports.timing = (key, timer) => {
  if (WATCHER_ENABLE === 'true') {
    sdc.timing(`${key}.${name}`, timer);
  }
};